# na.rb

Path: | lib/bio/data/na.rb
Last Update: | Thu Nov 19 15:47:02 +0000 2009

# bio/data/na.rb - Nucleic Acids

Copyright: | Copyright (C) 2001, 2005 Toshiaki Katayama <k@bioruby.org>
License: | The Ruby License

$Id: na.rb,v 0.23 2007/04/06 04:41:28 k Exp $

## Synopsis

Bio::NucleicAcid class contains data related to nucleic acids.

## Usage

Examples:

      require 'bio'

      puts "### na = Bio::NucleicAcid.new"
      na = Bio::NucleicAcid.new

      puts "# na.to_re('yrwskmbdhvnatgc')"
      p na.to_re('yrwskmbdhvnatgc')

      puts "# Bio::NucleicAcid.to_re('yrwskmbdhvnatgc')"
      p Bio::NucleicAcid.to_re('yrwskmbdhvnatgc')

      puts "# na.weight('A')"
      p na.weight('A')

      puts "# Bio::NucleicAcid.weight('A')"
      p Bio::NucleicAcid.weight('A')

      puts "# na.weight('atgc')"
      p na.weight('atgc')

      puts "# Bio::NucleicAcid.weight('atgc')"
      p Bio::NucleicAcid.weight('atgc')

[Validate]